Package org.json.simple

# Interface JsonKey

public interface JsonKey
Should be implemented by Enums so that keys are easily maintained.

Since:
  2.3.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
The json-simple library uses a String for its keys.
`Object`
`getValue()`
A reasonable value for the key; such as a valid default, error value, or null.

## Method Details

### getKey

String getKey()
The json-simple library uses a String for its keys.

Returns:
  a String representing the JsonKey.

### getValue

Object getValue()
A reasonable value for the key; such as a valid default, error value, or null.

Returns:
  an Object representing a reasonable general case value for the key.